Package org.jboss.modules.ref

# Interface Reaper<T,A>

Type Parameters:
  `T` - the reference type
  `A` - the reference attachment type

public interface Reaper<T,A>
A cleaner for a dead object.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`void`
`reap(Reference<T,A> reference)`
Perform the cleanup action for a reference.

## Method Details

### reap

void reap(Reference<T,A> reference)
Perform the cleanup action for a reference.

Parameters:
  `reference` - the reference